PHP EXIF扩展安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1575301 漏洞类型 缓冲区错误
发布时间 2019-04-18 更新时间 2019-06-13
CVE编号 CVE-2019-11035 CNNVD-ID CNNVD-201904-896
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201904-896
|漏洞详情
PHP(PHP:Hypertext Preprocessor,PHP:超文本预处理器)是PHPGroup和开放源代码社区的共同维护的一种开源的通用计算机脚本语言。该语言主要用于Web开发,支持多种数据库及操作系统。EXIF extension是其中的一个用于读取和编写图像元数据的扩展。 PHP EXIF扩展7.1.28之前的7.1.x版本、7.2.17之前的7.2.x版本和7.3.4之前的7.3.x版本中的‘exif_iif_add_value’函数存在缓冲区溢出漏洞,该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:bugs.php.net

链接:https://bugs.php.net/bug.php?id=77831


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-11035